/* Summary Card */
.summary-card {
  border: none;
  border-radius: 12px;
  background: #fff;
  padding: 16px 20px;
}
.summary-title {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 12px;
  color: #212529;
}
.lottery-card {
  border: 2px solid #212529;
  border-radius: 12px;
  background: white;
  padding: 16px;
  max-height: 600px;
  overflow-y: auto;
}
.lottery-name {
  font-weight: 600;
  font-size: 16px;
  color: #212529;
}
.lottery-date {
  background: #212529;
  color: white;
  font-size: 16px;
  padding: 6px 10px;
  border-radius: 6px;
  margin: 8px 0 14px 0;
  width: max-content;
}

/* Ticket Table */
.ticket-header, 
.ticket-row {
  display: flex;
  /* grid-template-columns: 1fr 1fr 1fr;
  align-items: center;
  padding: 6px 0; */
}
.ticket-header {
  font-size: 16px;
  font-weight: 600;
  color: #212529;
  border-bottom: 1px solid #e5e7eb;
  margin-bottom: 6px;
}

.ticket-headings,
.ticket-data {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.data_ticketno {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: left;
}

.data_ticketamt {
  flex: 1;
  display: flex;
  justify-content: end;
}

.ticket-row {
  font-size: 16px;
  color: #212529;
}
.ticket-type {
  border-radius: 8px;
  font-weight: 500;
  font-size: 16px;
  /* width: 95px; */
}
.ticket-span-online {
  background: #212529;
  /* padding: 5px 15px; */
  color: white;
  border-radius: 8px;
  height: 30px;
  width: 95%;
  align-content: center;
  text-align: center;
}
.amount-head { text-align: end; }
.qty-head { text-align: center; }

.ticket-amount {
  font-weight: 500;
  font-size: 16px;
  text-align: end;
}

.total-section {
  border-top: 1px solid #e5e7eb;
  margin-top: 12px;
  padding-top: 10px;
  display: flex;
  justify-content: space-between;
  font-weight: 600;
  font-size: 16px;
  color: #212529;
}

.ticket-delete {
  cursor: pointer;
  color: #dc3545; /* red */
  align-items: end;
  justify-content: right;
  padding-top: 5px;
  /* text-align: center; */
  /* padding: 0 8px; */
}

.ticket-delete .fa-trash {
  transition: color 0.2s ease;
}

.ticket-delete .fa-trash:hover {
  color: #a71d2a; /* darker red on hover */
}

.online_ticket_no_cart {
    background: white;
    border-radius: 15px;
    color: #212529;
    border: 2px solid #212529;
    font-weight: 600;
}

.online_cart_amt_font_weight {
  font-weight: 600;
}